Package org.apache.velocity.script

# Class VelocityCompiledScript

java.lang.Object
javax.script.CompiledScript
org.apache.velocity.script.VelocityCompiledScript

public class VelocityCompiledScript extends CompiledScript

## Field Summary

Fields
Modifier and Type
Field
Description
`protected VelocityScriptEngine`
`engine`
`protected Template`
`template`

## Constructor Summary

Constructors
Constructor
Description
`VelocityCompiledScript(VelocityScriptEngine e, Template t)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eval(ScriptContext scriptContext)`
`ScriptEngine`
`getEngine()`

### Methods inherited from class javax.script.CompiledScript

`eval, eval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### engine

protected VelocityScriptEngine engine

### template

protected Template template

## Constructor Details

### VelocityCompiledScript

public VelocityCompiledScript(VelocityScriptEngine e, Template t)

## Method Details

### eval

public Object eval(ScriptContext scriptContext) throws ScriptException

Specified by:
  `eval` in class `CompiledScript`
Throws:
  `ScriptException`

### getEngine

public ScriptEngine getEngine()

Specified by:
  `getEngine` in class `CompiledScript`